org.apache.cassandra.io.util

## Interface Rebufferer.BufferHolder

- All Known Implementing Classes:
    BufferManagingRebufferer, BufferManagingRebufferer.Aligned, BufferManagingRebufferer.Unaligned, LimitingRebufferer, MmappedRegions.Region
  Enclosing interface:
    Rebufferer

      public static interface Rebufferer.BufferHolder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.nio.ByteBuffer` | `buffer()` Returns a useable buffer (i.e.
    `long` | `offset()` Position in the file of the start of the buffer.
    `void` | `release()` To be called when this buffer is no longer in use.

- - ### Method Detail

    - #### buffer

          java.nio.ByteBuffer buffer()

      Returns a useable buffer (i.e. one whose position and limit can be freely modified). Its limit will be set to the size of the available data in the buffer. The buffer must be treated as read-only.

    - #### offset

          long offset()

      Position in the file of the start of the buffer.

    - #### release

          void release()

      To be called when this buffer is no longer in use. Must be called for all BufferHolders, or ChunkCache will not be able to free blocks.

Copyright © 2018 The Apache Software Foundation